
echo OFF
cls
echo            Rocket Ranger Installation Program for 2nd 5 1/4" disk
echo .
echo This batch file installs Rocket Ranger Reel #2 to your hard disk.
echo The format for this command is      (  install target_drive:  )
echo            Examples:        INSTALL2 C:
echo                             INSTALL2 D:
echo .
echo .
echo Please make sure that the Rocket Ranger Reel #2 is in the default_drive:.
echo .
echo Note: you can install Rocket Ranger to any directory on your hard disk
echo       with the DOS copy *.* command. The install program will copy
echo       Rocket Ranger to  \RR.
echo .
echo .
echo Press Control-C or Control-Break to abort   - or -
echo .
pause
cls
if exist ega.exe      goto bd2
if exist cga.exe      goto bd2
if exist tandy.exe    goto bd2
if exist rr0          goto bd2
if exist install.bat  goto bd2
if exist readme.doc   goto bd2
if %1 == a: goto gd1
if %1 == b: goto gd1
if %1 == c: goto gd1
if %1 == d: goto gd1
if %1 == e: goto gd1
if %1 == f: goto gd1
if %1 == g: goto gd1
if %1 == A: goto gd1
if %1 == B: goto gd1
if %1 == C: goto gd1
if %1 == D: goto gd1
if %1 == E: goto gd1
if %1 == F: goto gd1
goto bd1
:gd1
echo .
echo .
echo .
echo .
echo Rocket Ranger Reel #2 will be installed to   %1\RR.
echo .
echo .
echo .
echo .
echo Press Control-C or Control-Break to abort   - or -
echo .
pause
if not exist %1ega.exe      goto bd3
if not exist %1cga.exe      goto bd3
if not exist %1tandy.exe    goto bd3
if not exist %1rr0          goto bd3
if not exist %1install.bat  goto bd3
if not exist %1readme.doc   goto bd3
if not exist rr1            goto bd4
if not exist install2.bat   goto bd4
cls
echo INSTALLING Rocket Ranger Reel #2 ...
copy *.* %1
echo INSTALL COMPLETED for Rocket Ranger Reel #2 ...
if exist %1rr1 goto end
pause
cls
echo Please insert Rocket Ranger Reel #2
echo .
echo and run INSTALL2
echo .
goto end2
:bd1
pause
cls
echo .
echo .
echo .
echo .
echo You must specify a Valid target_drive: when running INSTALL.BAT.
echo        Valid target_drives: are:     a:  b:  c:  d:  e:  f:
echo .
echo INSTALL ABORTED.      (Reason: invalid or no target_drive: specified) ...
goto badend
:bd2
echo .
echo .
echo .
echo .
echo The default drive:\path must not contain any Rocket Ranger Reel #1 files.
echo Please run INSTALL2.BAT from the default drive:\path.
echo .
echo INSTALL ABORTED.     (Reason: Rocket Ranger Reel #1 files found
echo                               on the default drive\path) ...
goto badend
:bd3
cls
echo .
echo .
echo .
echo .
echo Rocket Ranger Reel #1 files have not been found on the target_drive:.
echo Please make sure that the target_drive: is specified is correctly and
echo that you have successfully ran INSTALL.BAT prior to this install.
echo .
echo INSTALL ABORTED.   (Reason: Rocket Ranger Reel #1 files have not been
echo                             not been found on the target_drive.) ...
goto badend
:bd4
cls
echo .
echo .
echo .
echo .
echo Rocket Ranger Reel #2 files have not been found on the default_drive:.
echo Please make sure that the default_drive: contains Reel #2.
echo .
echo INSTALL ABORTED.   (Reason: Rocket Ranger Reel #2 files have not been
echo                             not been found on the target_drive.) ...
goto badend
:end
echo .
echo .
echo .
echo Install Completed.    Thank You.    Have a nice day!
:badend
:end2
echo ON
